Skip to main content

Create Client

Creates a new client. This will return an API key that your client will need to access MX's servers.

POST
/clients

Request Body

FieldRequiredType

client

Required
Object

Request sample

Language:shell

_10
curl -L -X POST 'https://int-api.mx.com/clients' \
_10
-H 'Accept: application/vnd.mx.api.v1+json' \
_10
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}' \
_10
--data-raw '{"client":{"address":"400 w 3100 s","city":"salt lake city","country":"US","id":"external_id","main_url":"http://mainurl.com","name":"test client","oauth_app_description":"app","oauth_app_name":"The App","postal_code":"84009","products":{"balance":false,"business_suite":false,"data_api":false,"history":false,"identity_verification":false,"microdeposits":false,"moneymap":false,"pulse":false,"reporting_api":{"is_enabled":true},"sherlock_api":false,"statements":false},"state":"UT","support_email":"support@gmail.com","support_phone":"8015555555","support_url":"http://supporturl.com"}}'

Response sample

200
Language:json

_10
{
_10
"api_key": {
_10
"api_key": "abcd1234",
_10
"client_id": "external-id",
_10
"client_guid": "CLT-123",
_10
"guid": "APK-123",
_10
}
_10
}